Get roles

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /admin/company/{companyId}/role

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string(uuid) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • description string
    • type string

      Values are Company, Project, or Site.

    • companyId string(uuid)
    • permissionGroups array[object]
      Hide permissionGroups attributes Show permissionGroups attributes object
      • groupName string
      • permissions array[string]
    • defaultProjectRoleId string(uuid)
GET /admin/company/{companyId}/role
curl \
 --request GET 'https://live.smartpmtech.com/admin/company/{companyId}/role' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "id": "string",
    "name": "string",
    "description": "string",
    "type": "Company",
    "companyId": "string",
    "permissionGroups": [
      {
        "groupName": "string",
        "permissions": [
          "string"
        ]
      }
    ],
    "defaultProjectRoleId": "string"
  }
]